%define PREFIX /usr/apps/org.tizen.pwlock

Name:       org.tizen.pwlock
Summary:    Password Lock application
Version:    0.4.0
Release:    1
Group:      TBD
License:    TBD
Source0:    %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(appcore-efl)
BuildRequires: pkgconfig(tapi)
BuildRequires: pkgconfig(utilX)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(accounts-svc)
BuildRequires: pkgconfig(appsvc)
BuildRequires: pkgconfig(sysman)
BuildRequires: pkgconfig(capi-base-common)
BuildRequires: pkgconfig(iniparser)
BuildRequires: pkgconfig(capi-system-info)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: gettext
BuildRequires: cmake
BuildRequires: edje-tools
Requires(post): /usr/bin/vconftool

%description
Password lock application.

%prep
%setup -q

%build
LDFLAGS+="-Wl,--rpath=%{PREFIX}/lib -Wl,--as-needed";export LDFLAGS
cmake . -DCMAKE_INSTALL_PREFIX=%{PREFIX}
# cmake does not have a good dependency and make parallel will fail
# make %{?jobs:-j%jobs}
make

%install
%make_install

%post
GOPTION="-g 6514"
vconftool $GOPTION set -t bool db/pwlock/first_boot "1" -f
vconftool $GOPTION set -t int memory/pwlock/state "0" -f -i

%files
%manifest org.tizen.pwlock.manifest 
/etc/smack/accesses.d/org.tizen.pwlock.rule
%defattr(-,root,root,-)
%attr(4755,root,root) /usr/apps/org.tizen.pwlock/bin/pwlock
/usr/apps/org.tizen.pwlock/bin/pwlock
/usr/apps/org.tizen.pwlock/res/locale/*/LC_MESSAGES/pwlock.mo
/usr/share/packages/org.tizen.pwlock.xml
/usr/apps/org.tizen.pwlock/res/langlist.xml
/usr/apps/org.tizen.pwlock/res/edje/*.edj
/usr/apps/org.tizen.pwlock/res/images/*.png

